module.exports = {
  "env": {
    "node": true,
    "es6": true
  },
  "plugins": [
    "eslint-plugin",
    "n",
    "mocha"
  ],
  "extends": [
    "eslint:recommended",
    "plugin:eslint-plugin/recommended",
    "plugin:n/recommended",
    "plugin:mocha/recommended"
  ],
  "rules": {
    "eslint-plugin/require-meta-docs-url":
      ["error", { "pattern": "https://github.com/cypress-io/eslint-plugin-cypress/blob/master/docs/rules/{{name}}.md" }],
    "eslint-plugin/require-meta-docs-description": "error",
    "n/no-extraneous-require":
      ["error", { "allowModules": ["jest-config"] }],
    "no-redeclare": "off",
    "mocha/no-mocha-arrows": "off",
    "mocha/no-setup-in-describe": "off"
  },
  "parserOptions": {
    "ecmaVersion": 2020
  }
}
